#include<bits/stdc++.h>
#define all(a) a.begin(), a.end()
#define pb push_back
using namespace std;
using ll = long long;
using vi = vector<int>;
using vll = vector<ll>;
using pii = pair<int, int>;
using Mat = vector<vll>;
const char ent = '\n';

pii find_locmin_point(int n, int m) {
	Mat a(n, vll(m));
	for (int i=0; i<n; i++) {
		for (int j=0; j<m; j++) {
			a[i][j] = value(i + 1, j + 1);
		}
	}
	return {1, 1};
}